package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 人才招聘信息对象 zy_recruit
 * 
 * @author libao
 * @date 2024-05-24
 */
public class ZyRecruit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 人才招聘信息 */
    private Long id;

    /** 职位名称 */
    @Excel(name = "职位名称")
    private String title;

    /** 招聘人数 */
    @Excel(name = "招聘人数")
    private Long recruitsNumber;

    /** 工作地点 */
    @Excel(name = "工作地点")
    private String workPlace;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date publishTime;

    /** 岗位职责 */
    @Excel(name = "岗位职责")
    private String jobResponsibilities;

    /** 任职要求 */
    @Excel(name = "任职要求")
    private String qualifications;

    /** $column.columnComment */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setRecruitsNumber(Long recruitsNumber) 
    {
        this.recruitsNumber = recruitsNumber;
    }

    public Long getRecruitsNumber() 
    {
        return recruitsNumber;
    }
    public void setWorkPlace(String workPlace) 
    {
        this.workPlace = workPlace;
    }

    public String getWorkPlace() 
    {
        return workPlace;
    }
    public void setPublishTime(Date publishTime) 
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() 
    {
        return publishTime;
    }
    public void setJobResponsibilities(String jobResponsibilities) 
    {
        this.jobResponsibilities = jobResponsibilities;
    }

    public String getJobResponsibilities() 
    {
        return jobResponsibilities;
    }
    public void setQualifications(String qualifications) 
    {
        this.qualifications = qualifications;
    }

    public String getQualifications() 
    {
        return qualifications;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("recruitsNumber", getRecruitsNumber())
            .append("workPlace", getWorkPlace())
            .append("publishTime", getPublishTime())
            .append("jobResponsibilities", getJobResponsibilities())
            .append("qualifications", getQualifications())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
